Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.plaisolutions.com/llms.txt

Use this file to discover all available pages before exploring further.

List Organizations

List all organizations for the current user.

Response

organizations
array
Array of organization objects with membership details
curl --location --request GET 'https://api.plaisolutions.com/organizations' \
--header 'Authorization: Bearer YOUR_TOKEN'

Create New Organization

Create a new organization.

Request Body

name
string
required
Organization name
address_line1
string
First line of organization address
address_line2
string
Second line of organization address
zipcode
string
Organization postal/zip code
state
string
Organization state/province
country
string
Organization country

Response

Returns the created organization object with membership details.
curl --location --request POST 'https://api.plaisolutions.com/organizations' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "name": "My Organization",
  "address_line1": "123 Main St",
  "city": "San Francisco",
  "state": "CA",
  "zipcode": "94105",
  "country": "USA"
}'

Get Organization

Get a single organization by ID.

Path Parameters

organization_id
string
required
The unique identifier of the organization

Response

Returns the organization object with membership details.
curl --location --request GET 'https://api.plaisolutions.com/organizations/org_123' \
--header 'Authorization: Bearer YOUR_TOKEN'

Update Organization

Update an existing organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization

Request Body

name
string
Updated organization name
address_line1
string
Updated first line of organization address
address_line2
string
Updated second line of organization address
zipcode
string
Updated organization postal/zip code
state
string
Updated organization state/province
country
string
Updated organization country

Response

Returns the updated organization object.
curl --location --request PATCH 'https://api.plaisolutions.com/organizations/org_123' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "name": "Updated Organization Name"
}'

Delete Organization

Delete an organization. This action cannot be undone.

Path Parameters

organization_id
string
required
The unique identifier of the organization

Response

Returns a 200 status code on successful deletion.
curl --location --request DELETE 'https://api.plaisolutions.com/organizations/org_123' \
--header 'Authorization: Bearer YOUR_TOKEN'

List Memberships

List all memberships in an organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization

Response

memberships
array
Array of membership objects with user details
curl --location --request GET 'https://api.plaisolutions.com/organizations/org_123/memberships' \
--header 'Authorization: Bearer YOUR_TOKEN'

Update Membership

Update a member’s role in the organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization
membership_id
string
required
The unique identifier of the membership

Request Body

role
string
required
New role for the member (OWNER, ADMIN, MEMBER, VIEWER)

Response

Returns the updated membership object.
curl --location --request PATCH 'https://api.plaisolutions.com/organizations/org_123/memberships/mem_456' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "role": "ADMIN"
}'

Remove Membership

Remove a member from the organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization
membership_id
string
required
The unique identifier of the membership

Response

Returns a 200 status code on successful removal.
curl --location --request DELETE 'https://api.plaisolutions.com/organizations/org_123/memberships/mem_456' \
--header 'Authorization: Bearer YOUR_TOKEN'

List Invitations

List all invitations in the organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization

Response

invitations
array
Array of invitation objects
curl --location --request GET 'https://api.plaisolutions.com/organizations/org_123/invitations' \
--header 'Authorization: Bearer YOUR_TOKEN'

Add Invitation

Invite a user to the organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization

Request Body

email
string
required
Email address of the user to invite
organization_role
string
Role in the organization (OWNER, ADMIN, MEMBER, VIEWER). Defaults to MEMBER
project_id
string
required
ID of the project for this invitation
project_role
string
required
Role in the project (OWNER, ADMIN, MEMBER, VIEWER)

Response

Returns the created invitation object.
curl --location --request POST 'https://api.plaisolutions.com/organizations/org_123/invitations' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "email": "user@example.com",
  "organization_role": "MEMBER",
  "project_id": "proj_789",
  "project_role": "MEMBER"
}'

Remove Invitation

Remove an invitation from the organization.

Path Parameters

organization_id
string
required
The unique identifier of the organization
invitation_id
string
required
The unique identifier of the invitation

Response

Returns a 204 status code on successful removal.
curl --location --request DELETE 'https://api.plaisolutions.com/organizations/org_123/invitations/inv_456' \
--header 'Authorization: Bearer YOUR_TOKEN'